Page MenuHomePhabricator

Fix errors when submitting depicts
Closed, ResolvedPublic

Description

Getting "Revision with ID not found." (when submitting depicts statement when there are none yet, nor are there captions) and "Invalid claim guid." (when there are captions, but no depicts yet) errors in labs, when submitting depicts statements

Expected behavior:

When trying to add a depicts statement to a file on Labs/Alpha, no system errors are seen if it's a valid entry.

For a list of recently uploaded files to test with on Labs/Alpha, try this link and open the "Upload Log" accordions or click on any links prefixed with "File:"

Acceptance criteria:

  • Adding a depicts statement to a file that has no captions and no depicts statements yet works (instead of getting a "Revision with ID not found" error)
  • Adding a depicts statement to a file that already has captions but no other depicts statements yet works (instead of getting a "Invalid claim guid" error)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2019, 5:39 PM

Change 493461 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Fix errors when submitting depicts

https://gerrit.wikimedia.org/r/493461

Change 493461 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Fix errors when submitting depicts

https://gerrit.wikimedia.org/r/493461

Ramsey-WMF updated the task description. (Show Details)Mar 6 2019, 4:53 PM
Ramsey-WMF updated the task description. (Show Details)
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 8 2019, 2:22 AM
Cparle updated the task description. (Show Details)Apr 17 2019, 11:04 AM
Cparle added a subscriber: Cparle.

Works fine on beta (test-commons broken atm). Moving to VoP

Cparle removed Edtadros as the assignee of this task.Apr 17 2019, 11:04 AM
Cparle added a subscriber: Edtadros.
Ramsey-WMF closed this task as Resolved.Apr 23 2019, 9:04 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

All good on production.